OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
StringNameWriter Struct Reference

Class for writing the string IDs. More...

Inheritance diagram for StringNameWriter:

## Public Member Functions
| StringNameWriter (StringList *strings)
| Writer for the string names.
void | WriteStringID (const char *name, int stringid)
| Write the string ID.
void | Finalise (const StringData &data)
| Finalise writing the file.
Public Member Functions inherited from HeaderWriter
virtual | ~HeaderWriter ()
| Especially destroy the subclasses.
void | WriteHeader (const StringData &data)
| Write the header information.

## Data Fields
StringList * | strings
| The string names.

## Detailed Description

Class for writing the string IDs.

Definition at line 202 of file game_text.cpp.

## Constructor & Destructor Documentation

StringNameWriter::StringNameWriter | ( | StringList * | strings | ) |
| inline

Writer for the string names.

Parameters

  strings | The string table to add the strings to.

Definition at line 209 of file game_text.cpp.

## Member Function Documentation

void StringNameWriter::Finalise | ( | const StringData & | data | ) |
| inline virtual

Finalise writing the file.

Parameters

  data | The data about the string.

Implements HeaderWriter.

Definition at line 218 of file game_text.cpp.

void StringNameWriter::WriteStringID | ( | const char * | name,
|  | int | stringid
| ) |  |
| inline virtual

Write the string ID.

Parameters

  name | The name of the string.
  stringid | The ID of the string.

Implements HeaderWriter.

Definition at line 213 of file game_text.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Length(), stredup(), and strings.

The documentation for this struct was generated from the following file:

- src/game/game_text.cpp